uk.gov.hmrc.cache.repository

# DeleteIndex

###
Related Doc: package repository

#### sealed case class DeleteIndex(collection: String, index: String) extends Command[Int] with Product with Serializable

20-May-2014 The following code is a workaround for a bug we found in reactivemongo indexesManager.delete() method. The issue only happens with the current version of mongodb (2.6.1) but not with the version the we have on higher environments including production (2.4.8). The patch is intentionally left here so that it can be applied again if mongodb is upgraded and the bug is not fixed in reactivemongo. In which case, the call to indexesManager.delete() in the ensureIndexes() method of this class should be replaced with the following:

deleted <- collection.db.command(DeleteIndex(collection.name, idxToUpdate.get.eventualName))

Linear Supertypes
Serializable, Serializable, Product, Equals, Command[Int], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DeleteIndex
2. Serializable
3. Serializable
4. Product
5. Equals
6. Command
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new DeleteIndex(collection: String, index: String)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### object ResultMaker extends BSONCommandResultMaker[Int]

   Definition Classes
     DeleteIndex → Command

5. #### def apply(db: String): MakableCommand

   Definition Classes
     Command

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### val collection: String

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### val index: String

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### def makeDocuments: BSONDocument

    Definition Classes
      DeleteIndex → Command

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### def slaveOk: Boolean

    Definition Classes
      Command

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Command[Int]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped